Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lookup.entry
Class ServiceInfo

    java.lang.Object
      net.jini.entry.AbstractEntry
          net.jini.lookup.entry.ServiceInfo

All Implemented Interfaces:
  Entry, Serializable, ServiceControlled

public class ServiceInfo
extends AbstractEntry
implements ServiceControlled

Generic information about a service. This includes the name of the manufacturer, the product, and the vendor.

See Also:
  `ServiceInfoBean`, Serialized Form

Field Summary
`String` | `manufacturer` The name of the manufacturer or author of this service.
`String` | `model` The model name or number of this service, if any.
`String` | `name` The name of the product or package of which this service is an instance.
`String` | `serialNumber` The serial number of this instance of the service, if any.
`String` | `vendor` The name of the vendor of this service.
`String` | `version` The version of this service.

Constructor Summary
`ServiceInfo()` Construct an empty instance of this class.
`ServiceInfo(String name, String manufacturer, String vendor, String version, String model, String serialNumber)` Construct an instance of this class, with all fields initialized appropriately.

Methods inherited from class net.jini.entry.AbstractEntry
`equals, equals, hashCode, hashCode, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public String name

  The name of the product or package of which this service is an instance. This field should not include the name of the manufacturer or vendor.

### manufacturer

    public String manufacturer

  The name of the manufacturer or author of this service. For example, "Sun Microsystems".

### vendor

    public String vendor

  The name of the vendor of this service. This may have the same value as the manufacturer field, or it may be different.

### version

    public String version

  The version of this service. This is a free-form field, but should follow accepted version-naming conventions to make visual identification easier.

### model

    public String model

  The model name or number of this service, if any.

### serialNumber

    public String serialNumber

  The serial number of this instance of the service, if any.

Constructor Detail

### ServiceInfo

    public ServiceInfo()

  Construct an empty instance of this class.

### ServiceInfo

    public ServiceInfo(String name,
                       String manufacturer,
                       String vendor,
                       String version,
                       String model,
                       String serialNumber)

  Construct an instance of this class, with all fields initialized appropriately.

Parameters:
  `name` - a `String` representing the name value
  `manufacturer` - a `String` representing the manufacturer value
  `vendor` - a `String` representing the vendor value
  `version` - a `String` representing the version value
  `model` - a `String` representing the model value
  `serialNumber` - a `String` representing the serial number value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved